package com.xhkjedu.sexam.controller.paperstudent;

import com.xhkjedu.sexam.model.paperstudent.EPaperStudent;
import com.xhkjedu.sexam.model.paperstudent.EScanbatch;
import com.xhkjedu.sexam.service.paperstudent.EScanbatchService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description: TODO 答题卡扫描
 * @Author: wn
 * @CreateTime: 2022-08-11  09:43
 */
@RestController
@RequestMapping("/scan")
public class EScanbatchController {
    @Resource
    private EScanbatchService eScanbatchService;

    //保持批次信息
    @PostMapping("/save")
    public ResultVo saveEscanbatch(@RequestBody EScanbatch eScanbatch) {
        N_Utils.validation(new Object[]{eScanbatch.getEpid(),"试卷id",1,eScanbatch.getBatchname(),"设备",2});
        Map map = eScanbatchService.saveScanBatch(eScanbatch);
        return new ResultVo(0, "成功保存", map);
    }
}
